package com.house365.xxx.house.word.search.job;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import com.house365.xxx.house.word.search.sell.BlockAliasLoader;
import com.house365.xxx.house.word.search.sell.BlockLoader;
import com.house365.xxx.house.word.search.sell.CommunityLoader;
import com.house365.xxx.house.word.search.sell.DistrictLoader;
import com.house365.xxx.house.word.search.sell.SchoolLoader;
import com.house365.xxx.house.word.search.sell.StreetLoader;
import com.house365.xxx.house.word.search.sell.TrafficLoader;
import com.house365.xxx.house.word.search.servlet.InitServlet;

import java.util.HashSet;
import java.util.Set;

@Component
public class BlockRefreshLoader {
	private static Log logger = LogFactory.getLog(BlockRefreshLoader.class);

	public void refreshBlock(String city) {
		Set<String> citys = new HashSet<String>();
		citys.add(city);
		long startTime = System.currentTimeMillis();
		logger.info("小区手动刷新开始，刷新城市:"+citys.toString());
		ApplicationContext applicationContext = InitServlet
				.getApplicationContext();
		BlockLoader blockLoader = applicationContext.getBean(BlockLoader.class);
		blockLoader.loadWordBeans(citys);
		SchoolLoader schoolLoader = applicationContext
				.getBean(SchoolLoader.class);
		schoolLoader.loadWordBeans(citys);
		TrafficLoader trafficLoader = applicationContext
				.getBean(TrafficLoader.class);
		trafficLoader.loadWordBeans(citys);
        CommunityLoader communityLoader = applicationContext.getBean(CommunityLoader.class);
        communityLoader.loadWordBeans(citys);
        BlockAliasLoader blockAliasLoader = applicationContext.getBean(BlockAliasLoader.class);
        blockAliasLoader.loadWordBeans(citys);
        DistrictLoader districtLoader = applicationContext.getBean(DistrictLoader.class);
        districtLoader.loadWordBeans(citys);
        StreetLoader  streetLoader = applicationContext.getBean(StreetLoader.class);
        streetLoader.loadWordBeans(citys);
        logger.info("小区手动刷新结束，耗时{"+(System.currentTimeMillis() - startTime)+"}ms");
	}
}
