/*
 * Copyright (C), 2002-2020, 江苏三六五网络股份有限公司
 * FileName: DistrictLoader.java
 * Author:   gaoyuan
 * Date:     2020年8月5日 上午10:16:51
 * Description: //模块目的、功能描述      
 * History: //修改记录
 * <author>      <time>      <version>    <desc>
 * 修改人姓名             修改时间            版本号                  描述
 */
package com.house365.xxx.house.word.search.sell;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

import com.house365.xxx.house.word.search.DicType;
import com.house365.xxx.house.word.search.dto.DistrictStreet;
import com.house365.xxx.house.word.search.dto.WordBean;
import com.house365.xxx.house.word.search.util.PinyinToolkit;

/**
 * 二手房区属
 * 
 * @author gaoyuan
 * @version [版本号, 2020年8月5日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
@Component
public class DistrictLoader extends SellLoader {

	@Override
	protected DicType getDicType() {
		return DicType.DISTRICT;
	}

	@Override
	protected String getLoadSql() {
		
		return "SELECT\r\n" + 
				"  '' AS id,\r\n" + 
				"  t_district.`name`,\r\n" + 
				"  t_district.`name` AS districtname,\r\n" + 
				"  '' AS streetname,\r\n" + 
				"	sum(\r\n" + 
				"		ifnull(t_block_count.sellcount, 0)\r\n" + 
				"	) AS sellcount,\r\n" + 
				"	sum(\r\n" + 
				"		ifnull(t_block_count.rentcount, 0)\r\n" + 
				"	) AS rentcount,\r\n" + 
				"	'' AS alias,\r\n" + 
				"	'' AS extinfo,\r\n" + 
				"	'' AS averPrice\r\n" + 
				"FROM\r\n" + 
				"	district t_district\r\n" + 
				"LEFT OUTER JOIN block t_block ON t_district.`name` = t_block.district\r\n" + 
				"LEFT OUTER JOIN block_count t_block_count ON t_block.id = t_block_count.blockid\r\n" + 
				"WHERE\r\n" + 
				"	t_block.esta = 2\r\n" + 
				"GROUP BY\r\n" + 
				"	t_district.`name`";
	}

	@Override
	protected Log getLogger() {
		return LogFactory.getLog(DistrictLoader.class);
	}

	@Override
	protected WordBean getWordBean(int id, String name, String pinyin, DicType dicType, DistrictStreet districtStreet,
			int sellCount, int rentCount, String alias, String extInfo, String averPrice) {
		WordBean wordBean = new WordBean(id, name, PinyinToolkit.cn2Spell(name), getDicType(), districtStreet,
				sellCount, rentCount, alias, extInfo, averPrice);
		return wordBean;
	}

}
